<template>
  <div id="reminder-selection-dropdown">
    <vs-dropdown vs-custom-content vs-trigger-click class="w-full ">
      <div class="w-full flex flex-row p-5 justify-between cursor-pointer">
        <div class="flex">
          <feather-icon
            icon="ClockIcon"
            :svgClasses="['stoke-current text-muted']"
            class="pr-2"
          />
          <p
            class="text-muted mt ml-2"
            style="font-family: 'Montserrat', Helvetica, Arial, sans-serif !important;"
          >
            Đặt nhắc nhở
          </p>
        </div>
        <feather-icon
          icon="ChevronDownIcon"
          :svgClasses="['stoke-current text-dark']"
          class="w-5 h-5"
          @click.stop
        />
      </div>

      <vs-dropdown-menu
        style="z-index: 200006; width: auto !important; top: 106px; padding-right: 10px;"
      >
        <div class="text-center uppercase">Đặt nhắc nhở</div>

        <vs-divider />

        <!-- Select Datetime -->
        <div class="w-full p-5">
          <flat-pickr
            v-model="datetime"
            class="form-control hidden"
            :config="{ inline: true, enableTime: true }"
            @input="$emit('input', new Date($event).toISOString())"
          />
          <!-- /Select Datetime -->
        </div>
      </vs-dropdown-menu>
    </vs-dropdown>
  </div>
</template>

<script>
export default {
  name: "reminder-selection-dropdown",
  props: {
    value: { type: String, default: "" }
  },
  data() {
    return {
      datetime: this.value
    };
  }
};
</script>
